## Package org.eclipse.wst.common.environment.uri

Interface Summary
IURI: A IURI represents a Univeral Resource Identifer.
IURIFactory: This is a factory for creating new IURI and IURIScheme objects.
IURIFilter: This interface is implemented by classes that visit or list URIs.
IURIScheme: A IURIScheme represents a single scheme for some a family of Univeral Resource Identifiers.
IURIVisitor: This interface is implemented by classes that visit URIs.

Class Summary
SimpleURIFactory: This class provides a default implementation of the IURIFactory interface.

Exception Summary
URIException: This is the base class for most exceptions thrown by IURI classes.